Bug 730447 - [abrt] youtube-dl-2011.08.04-1.fc14: youtube-dl:1085:<genexpr>:KeyError: 'url'
Summary: [abrt] youtube-dl-2011.08.04-1.fc14: youtube-dl:1085:<genexpr>:KeyError: 'url'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: youtube-dl
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6992611f
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-13 02:37 UTC by Peter Janes
Modified: 2011-12-30 22:57 UTC (History)
3 users (show)

Fixed In Version: youtube-dl-2011.12.08-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-16 19:58:31 UTC


Attachments (Terms of Use)
File: backtrace (1.01 KB, text/plain)
2011-08-13 02:37 UTC, Peter Janes
no flags Details

Description Peter Janes 2011-08-13 02:37:23 UTC
abrt version: 1.1.18
architecture: x86_64
component: youtube-dl
executable: /usr/bin/youtube-dl
kernel: 2.6.35.13-91.fc14.x86_64
package: youtube-dl-2011.08.04-1.fc14
reason: youtube-dl:1085:<genexpr>:KeyError: 'url'
release: Fedora release 14 (Laughlin)
time: 1313202972
uid: 500

backtrace
-----
youtube-dl:1085:<genexpr>:KeyError: 'url'

Traceback (most recent call last):
  File "/usr/bin/youtube-dl", line 2987, in <module>
    retcode = fd.download(all_urls)
  File "/usr/bin/youtube-dl", line 604, in download
    ie.extract(url)
  File "/usr/bin/youtube-dl", line 844, in extract
    return self._real_extract(url)
  File "/usr/bin/youtube-dl", line 1085, in _real_extract
    url_map = dict((ud['itag'], urllib.unquote(ud['url'])) for ud in url_data)
  File "/usr/bin/youtube-dl", line 1085, in <genexpr>
    url_map = dict((ud['itag'], urllib.unquote(ud['url'])) for ud in url_data)
KeyError: 'url'

Local variables in innermost frame:
.0: <listiterator object at 0x7fd1cde03fd0>
ud: {'type': 'video%2Fwebm%3B+codecs%3D%22vp8.0%2C+vorbis%22', 'quality': 'hd720', 'stream': 'c5%2Fid%2Fa9d6eb22b1716acd%2Fitag%2F45', 'conn': 'rtmpe%3A%2F%2Fcp59009.edgefcs.net%2Fyoutube%3Fauth%3DdaEaIcydnc0cqbocFb5bJbWbnbbbBaJaVcy-borEmk-eS-LzHFGmpd%26aifp%3DYT2008121701%26slist%3Dc5%2Fid%2Fa9d6eb22b1716acd%2Fitag%2F45', 'itag': '45'}

How to reproduce
-----
1. youtube-dl http://www.youtube.com/watch?v=qdbrIrFxas0

Comment 1 Peter Janes 2011-08-13 02:37:27 UTC
Created attachment 518134 [details]
File: backtrace

Comment 2 Till Maas 2011-08-20 08:42:37 UTC
I guess it is already known upstream:
https://github.com/rg3/youtube-dl/issues/140

Comment 3 Fedora Update System 2011-12-11 11:49:49 UTC
youtube-dl-2011.12.08-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/youtube-dl-2011.12.08-1.fc15

Comment 4 Fedora Update System 2011-12-11 11:50:22 UTC
youtube-dl-2011.12.08-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/youtube-dl-2011.12.08-1.fc16

Comment 5 Fedora Update System 2011-12-11 21:48:24 UTC
Package youtube-dl-2011.12.08-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing youtube-dl-2011.12.08-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16958/youtube-dl-2011.12.08-1.fc16
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-12-16 19:58:31 UTC
youtube-dl-2011.12.08-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-12-30 22:57:23 UTC
youtube-dl-2011.12.08-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.